OGRE: Ogre::PlatformInformation Class Reference - OGRE Documentation

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::PlatformInformation Class Reference

Class which provides the run-time platform information Ogre runs on. More...

`#include <OgrePlatformInformation.h>`

List of all members.

## Public Types

enum | CpuFeatures { CPU_FEATURE_NONE = 0 }
| Enum describing the different CPU features we want to check for, platform-dependent. More...

## Static Public Member Functions

static const String & | getCpuIdentifier (void)
| Gets a string of the CPU identifier.
static uint | getCpuFeatures (void)
| Gets a or-masked of enum CpuFeatures that are supported by the CPU.
static bool | hasCpuFeature (CpuFeatures feature)
| Gets whether a specific feature is supported by the CPU.
static void | log (Log *pLog)
| Write the CPU information to the passed in Log.

## Detailed Description

Class which provides the run-time platform information Ogre runs on.

Remarks:
  Ogre is designed to be platform-independent, but there some platform and run-time environment specific optimised functions are built-in for maximise performance, and those special optimised routines are need to determine run-time environment for select variant executing path.

  This class manages that provides a couple of functions to determine platform information of the run-time environment.

Note:
  This class is supposed to use by advanced user only.

Definition at line 114 of file OgrePlatformInformation.h.

## Member Enumeration Documentation

enum Ogre::PlatformInformation::CpuFeatures

Enum describing the different CPU features we want to check for, platform-dependent.

Enumeration values:

  CPU_FEATURE_NONE |

Definition at line 119 of file OgrePlatformInformation.h.

## Member Function Documentation

static uint Ogre::PlatformInformation::getCpuFeatures | ( | void |  | ) | `[static]`

Gets a or-masked of enum CpuFeatures that are supported by the CPU.

Note:
  Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value.

static const String& Ogre::PlatformInformation::getCpuIdentifier | ( | void |  | ) | `[static]`

Gets a string of the CPU identifier.

Note:
  Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value.

static bool Ogre::PlatformInformation::hasCpuFeature | ( | CpuFeatures | feature | ) | `[static]`

Gets whether a specific feature is supported by the CPU.

Note:
  Actual detecting are performs in the first time call to this function, and then all future calls with return internal cached value.

static void Ogre::PlatformInformation::log | ( | Log * | pLog | ) | `[static]`

| Write the CPU information to the passed in Log.

The documentation for this class was generated from the following file:

- OgrePlatformInformation.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Thu Mar 6 09:47:51 2008